package com.css.simulation.resource.model.mapper;

import api.common.pojo.param.model.VehicleParam;
import api.common.pojo.po.model.VehiclePO;
import api.common.pojo.vo.model.VehicleVO;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;

@Mapper
@Repository
public interface VehicleMapper {

    List<VehicleVO> getVehicleList(VehicleParam pageParam);

    VehicleVO getVehicleInfo(VehicleParam pageParam);

    List<VehicleVO> checkVehicleName(VehiclePO vehiclePO);

    void insert(VehiclePO vehiclePO);

    void update(VehiclePO vehiclePO);

}
